rio_hw_add_outb_message
Prev | PPC32 support | Next

## Name

rio_hw_add_outb_message — Add message to the MPC85xx outbound message queue

## Synopsis

`int rio_hw_add_outb_message (` | struct rio_mport * | mport,
| struct rio_dev * | rdev,
| int | mbox,
| void * | buffer,
| size_t | len`)`;

## Arguments

`mport`

  Master port with outbound message queue

`rdev`

  Target of outbound message

`mbox`

  Outbound mailbox

`buffer`

  Message to add to outbound queue

`len`

  Length of message

## Description

Adds the `buffer` message to the MPC85xx outbound message queue. Returns `0` on success or `-EINVAL` on failure.

Prev | Up | Next
ppc_rio_init | Home | rio_hw_add_inb_buffer